/* REXX *********************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 ******************************************************************************
 *
 * $Archive:   G:/Archive/ORexx/WorkPlace/wpClassRegister.CMD,v  $
 * $Workfile:   wpClassRegister.CMD  $
 * $Author:   Martin_Krischik  $
 * $Revision:   1.0  $
 * $Name:$
 * $Date:   24 Aug 1997 13:34:24  $
 * $Log:   G:/Archive/ORexx/WorkPlace/wpClassRegister.CMD,v  $
 *
 *     Rev 1.0   24 Aug 1997 13:34:24   Martin_Krischik
 *  Workplace Shell suppor.
 *
 ****************************************************************************/

wpClassRegister:
    PARSE ARG classname'; ' Dllname

    CALL wpInit;

    SAY 'classname: ' classname
    SAY 'Dllname    : ' Dllname

    Result = SYSRegisterObjectClass(classname, Dllname)

    IF Result = 1 THEN
      DO
        SAY 'Class' classname '('Dllname') - successfull registered.'
      END
    ELSE
      DO
        SAY 'Class' classname '('Dllname') - not registered.'
      END
RETURN
