/* REXX **********************************************************************
 * ffnet Workplace Object
 ******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *****************************************************************************
 *
 * $Archive:   G:/Archive/ORexx/WorkPlace/wpObjectSetData.CMD,v  $
 * $Workfile:   wpObjectSetData.CMD  $
 * $Author:   Martin_Krischik  $
 * $Revision:   1.0  $
 * $Name:$
 * $Date:   24 Aug 1997 13:34:30  $
 * $Log:   G:/Archive/ORexx/WorkPlace/wpObjectSetData.CMD,v  $
 *
 *     Rev 1.0   24 Aug 1997 13:34:30   Martin_Krischik
 *  Workplace Shell support.
 *
 *****************************************************************************/

wpObjectSetData:
    PARSE ARG Objectname'; ' Setup

    SAY 'Objektname : ' Objectname
    SAY 'Setup      : ' Setup

    Result = SYSSetObjectData(Objectname, Setup)

    IF Result = 1 THEN
      DO
        SAY 'Object' Objectname 'successfull updated.'
      END
    ELSE
      DO
        SAY 'Object' Objectname ' - not updated.'
      END
RETURN
