/******************************************************************************
 * Modulname:      Make Editor Objects.
 * Modultyp:       Rexx Batch.
 * Beschreibung:   Create Editor Objekts for Different File Types.
 * Author:         Martin Krischik
 ******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 ******************************************************************************
 *
 * RCS Daten:
 *
 *     $RCSfile: Editors.CMD,v $
 *     $Source: P:\\Set\\Archive\\Tools\\Editors.CMD,v $
 *
 *     $Author:   Martin_Krischik  $
 *     $Locker:  $
 *
 *     $Revision:   1.0  $
 *     $Date:   24 Aug 1997 13:34:32  $
 *     $State: Exp $
 *     $Name: Current $
 *
 *  $Id: Editors.CMD,v 1.7 1996/09/09 10:05:57 Martin_Krischik Exp $
 *  $Header:   G:/Archive/ORexx/WorkPlace/wpPaleteBitmaps.CMD,v   1.0   24 Aug 1997 13:34:32   Martin_Krischik  $
 *
 *  $Log:   G:/Archive/ORexx/WorkPlace/wpPaleteBitmaps.CMD,v  $
 *
 *     Rev 1.0   24 Aug 1997 13:34:32   Martin_Krischik
 *  Workplace Shell support.
 *
 *****************************************************************************/

wpPalete:
    TRACE ON

    wp = .MyWorkPlace~NEW;

    wp~SetPMDefaultColors = 1;
    wp~SetPMColors        = 1;
    wp~SetUserColors      = "MK";

    wp~Colors             = "DesktopBackgroundBitmap;"   ||"D:\DosData\Bitmap\Vorlon~1.BMP,s,1";
    wp~Colors             = "FolderBackgroundBitmap;"    ||"\OS2\Bitmap\Txtr_006.BMP,t,1";

    wp~ObjectSetData("<WP_OS2SYS>;"              "BACKGROUND=E:\OS2\BITMAP\SDS00099.BMP,T,,I,255 255 255");
    wp~ObjectSetData("<WP_TEMPS>;"               "BACKGROUND=E:\OS2\BITMAP\PAPER.BMP,T,,I,255 255 253"   );
    wp~ObjectSetData("<WPINET_TEMPLATES>;"       "BACKGROUND=E:\OS2\BITMAP\PAPER.BMP,T,,I,255 255 253"   );
    wp~ObjectSetData("<MMPM2_MMTEMPLATEFOLDER>;" "BACKGROUND=E:\OS2\BITMAP\PAPER.BMP,T,,I,255 255 253"   );
    wp~ObjectSetData("<WP_CONFIG>;"              "BACKGROUND=E:\OS2\BITMAP\SDS00166.BMP,T,,I,255 255 255");
    wp~ObjectSetData("<WP_INSTREMFOLDER>;"       "BACKGROUND=E:\OS2\BITMAP\SDS00072.BMP,T,,I,255 255 255");
    wp~ObjectSetData("<WP_START>;"               "BACKGROUND=E:\OS2\BITMAP\TXTR_003.BMP,T,,I,255 255 255");
    wp~ObjectSetData("<WP_CONNECTIONSFOLDER>;"   "BACKGROUND=E:\OS2\BITMAP\PLASTER.BMP,T,,I,255 255 255");
    wp~ObjectSetData("<WP_PRINTERSFOLDER>;"      "BACKGROUND=E:\OS2\BITMAP\SDS00074.BMP,T,,I,255 255 255");
EXIT

::REQUIRES "WorkPlace";

::CLASS "MyWorkPlace" SUBCLASS WorkPlace

